# View Mode Conditional Fields

## CONTENTS OF THIS FILE

 - Introduction
 - Requirements
 - Installation
 - Configuration
 - Maintainers


## INTRODUCTION

- One of the common problem is the entity field grows to large number over the time with the increasing display modes. However not all fields are relevant to all display modes hence it becomes confusing for the editorial team to decide which field to populate for what view modes.

- Classical Example: While adding/editing blocks on layout builder, there are too many fields on block which are not contextual to view mode to be used for the current instance.

- This is where View Mode Conditional Fields comes to rescue. It allows you to control the visibility of entity fields on form displays based on the view mode settings(entity view modes).

- This modules adds configuration at field level to select view modes where the field should be visible,if none is selected it will continue the way it works out the box i.e. field will display for all display modes.

- For a full description of the module, visit the project page
   [View Mode Conditional Fields](https://www.drupal.org/project/view_mode_conditional_fields)

- To submit bug reports and feature suggestions
   [Bug reports](https://www.drupal.org/project/issues/view_mode_conditional_fields)


## INSTALLATION

This component can be installed using Composer. To add it to your Drupal code base

  `composer require drupal/view_mode_conditional_fields`


## CONFIGURATION


1. Once the module is enabled , a field "View Mode Conditional Fields Settings" is added in Edit field page

2. To show field for the particular view mode, go to the field edit page."View Mode Conditional Fields Settings" field will show list of view modes available to this entity

3. Then select the view modes to show the field only in selected view modes and this field will be hidden for unselected view modes.


## MAINTAINERS


- Arpit Rastogi - [arpitr](https://www.drupal.org/u/arpitr)
- Chandravilas Kute - [chandravilas](https://www.drupal.org/u/chandravilas)
- Meenakshi Gupta - [MeenakshiG](https://www.drupal.org/u/meenakshig)
